API Explorer 48 endpoints

Get write_and_bite by id

GET /obp/dynamic-entity/write_and_bite/WRITE_AND_BITE_ID

OBPv4.0.0-dynamicEntity_getSinglewrite_and_bite_ Roles: CanGetDynamicEntityRecord_write_and_bite(per bank) _Write_and_biteDynamic-EntityDynamic

Get write_and_bite by id.

Verification of Project

Property List:

  • write_and_bite_id: ID of the project verified
  • status_code: in_progress, verified, failed
  • status_message: further explanation of status code

Write-restricted fields (set only via PATCH by a holder of the field's write role): status_code

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"write_and_bite"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "write_and_bite": {
    "write_and_bite_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "status_code": "verified",
    "status_message": "x behaved badly"
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSinglewrite_and_bite_ Originally /write_and_bite/WRITE_AND_BITE_ID